SoSFColor(3)

NAME
SoSFColor - The SoSFColor class is a container for an SbColor value.

SYNOPSIS

#include <Inventor/fields/SoSFColor.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFColor & operator= (const SoSFColor &field)
virtual SbBool isSame (const SoField &field) const
const SbColor & getValue (void) const
void setValue (const SbColor &newvalue)
const SbColor & operator= (const SbColor &newvalue)
int operator== (const SoSFColor &field) const
int operator!= (const SoSFColor &field) const
void setValue (const SbVec3f &vec)
void setValue (float red, float green, float blue)
void setValue (const float rgb[3])
void setHSVValue (float h, float s, float v)
void setHSVValue (const float hsv[3])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbColor value

  Additional Inherited Members

Detailed Description

The SoSFColor class is a container for an SbColor value. This field is used where nodes, engines or other field containers need to store a single color value (i.e. Red + Green + Blue).

Fields of this type stores their value to file as a 'R G B' triple component, where each color component value is between 0.0 and 1.0.

See also
    SoMFColor

Member Function Documentation

  void * SoSFColor::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFColor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFColor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFColor::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFColor::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFColor::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFColor::setValue (const SbVec3f & vec)
Set color value from a vector with three elements. The three elements will be interpreted as red, green and blue, respectively.

  void SoSFColor::setValue (float red, float green, float blue)
Set color value from red, green and blue. Value range for each component is between 0.0 and 1.0.

  void SoSFColor::setValue (const float rgb[3])
Set color value from a floating point number array with three elements. The three elements will be interpreted as red, green and blue, respectively.

  void SoSFColor::setHSVValue (float h, float s, float v)
Set color value from h, s and v, where is 'hue', s is 'saturation' and v is 'value'.

  void SoSFColor::setHSVValue (const float hsv[3])
Set color value from a floating point number array with three elements. The three elements will be interpreted as hue, saturation and value, respectively.

Author

Generated automatically by Doxygen for Coin from the source code.